Table of Contents

Class: CML_importer | ../bkchem/plugins/CML.py
--- | ---
Base Classes |
--- | ---
plugin.importer
Methods |
--- | ---
__init__ add_nonexisting_bonds get_cdml_dom on_begin on_end_set_viewport transform_CML_bond transform_atom transform_bond transform_molecule
| __init__
    __init__ ( self )
| add_nonexisting_bonds
    add_nonexisting_bonds ( self )
| get_cdml_dom
    get_cdml_dom ( self,  file_name )
| on_begin
    on_begin ( self )
| on_end_set_viewport
    on_end_set_viewport ( self )
| transform_CML_bond
    transform_CML_bond (
            self,
            bond,
            doc,
            )
called by transform_bond in order to do the transform from CML_bond instance to CDML
Exceptions |
--- | ---
plugin.import_exception( "missing " + str(bond.not_enough_data() ) + " in bond specification" )
| transform_atom
    transform_atom (
            self,
            a,
            doc,
            )
Exceptions |
--- | ---
plugin.import_exception( "missing " + str(atom.not_enough_data() ) + " in atom specification" ) plugin.import_exception( detail )
| transform_bond
    transform_bond (
            self,
            b,
            doc,
            )
Exceptions |
--- | ---
plugin.import_exception(str( detail ) )
| transform_molecule
    transform_molecule (
            self,
            mol,
            doc,
            )

Table of Contents

This document was automatically generated on Tue Dec 12 13:46:48 2006 by HappyDoc version 2.1